Bug 147006 - CRASH: deleting content
Summary: CRASH: deleting content
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-01-26 18:14 UTC by Xisco Faulí
Modified: 2022-02-03 09:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (28.50 KB, application/msword)
2022-01-26 18:14 UTC, Xisco Faulí
Details
bt with debug symbols (10.03 KB, text/plain)
2022-01-27 17:08 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-01-26 18:14:12 UTC
Created attachment 177814 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select All
3. Cut or Delete

-> Crash

Reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4935bb372e3618eca105997c83101aa2b3d422e3
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-01-26 18:15:25 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=657de5fba12b0e9afcdee361654d2a2d0dbd7311

author	Michael Stahl <michael.stahl@allotropia.de>	2021-11-19 16:08:57 +0100
committer	Michael Stahl <michael.stahl@allotropia.de>	2021-12-23 09:11:59 +0100
commit 657de5fba12b0e9afcdee361654d2a2d0dbd7311 (patch)
tree 5826d4081b90c4e55e262d203b0dffff3bbbc51d
parent d11fb6cecaf72787973990e09cc7e8d03bdbf9d7 (diff)
Revert "Revert "sw_fieldmarkhide: init fieldmark mode from options""

Bisected with: bibisect-linux64-7.4

Adding Cc: to Michael Stahl
Comment 2 BogdanB 2022-01-26 18:36:12 UTC
Also repro in
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4935bb372e3618eca105997c83101aa2b3d422e3
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 Julien Nabet 2022-01-27 17:08:43 UTC
Created attachment 177847 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today (0adff3f2476f797843fb62d6810de90bfb333e10), I could reproduce the crash.

I confirm I don't reproduce this when reverting locally the quoted patch.
Comment 4 Commit Notification 2022-02-02 08:49:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bdf1d9b8151476531f2fbe06f66db260efcbc529

tdf#147006 sw_fieldmarkhide: fix crash when deleting fly with fieldmark

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2022-02-02 11:03:13 UTC
Verified in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: ebcf824de8101fbbda01ee91010698977041f031
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

@Michael, thanks for fixing this issue!!
Comment 6 Commit Notification 2022-02-03 09:13:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/4c5013818613d25b01051eafda9aef50b43d7163

tdf#147006 sw_fieldmarkhide: fix crash when deleting fly with fieldmark

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.